# 
#  gCLUTO 
#  Makefile.in
#  
#  Author: Matt Rasmussen
#  Description: Common operations done make Platform specific Makefiles
#

FLAGS := $(FLAGS) -Ilib

WXFLAGS = --cxxflags 
WXLIBS  = --libs

COMPILE = -c `$(WXCONFIG) $(WXFLAGS)` $(FLAGS) $(DEBUG)
LINK    = $(DEBUG) `$(WXCONFIG) $(WXLIBS)` $(LIBS)

include $(OBJ_FILE)

all: $(PROGRAM)

$(OBJECTS) : $(BUILD_DIR)%.o: %.cpp
	echo $(FLAGS)
	$(CC) $(COMPILE) -o $@ $<

$(PROGRAM): $(OBJECTS)
	$(CC) -o $(PROGRAM) $(OBJECTS) $(LINK)
       
clean: 
	rm -f $(OBJECTS) $(PROGRAM)
        
objects:
	echo "OBJECTS = `./objects.pl $(BUILD_DIR) .o`" > $(OBJ_FILE)

